package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/10/30.
 * realicing@sina.com
 * 游戏列表标签
 */
public class GameListTag {
    private int Id;

    private String Name;

    private String Icon;

    private int Status;

    private int Sort;

    private int CreateTime;

    private int UpdateTime;

    public void setId(int Id){
        this.Id = Id;
    }
    public int getId(){
        return this.Id;
    }
    public void setName(String Name){
        this.Name = Name;
    }
    public String getName(){
        return this.Name;
    }
    public void setIcon(String Icon){
        this.Icon = Icon;
    }
    public String getIcon(){
        return this.Icon;
    }
    public void setStatus(int Status){
        this.Status = Status;
    }
    public int getStatus(){
        return this.Status;
    }
    public void setSort(int Sort){
        this.Sort = Sort;
    }
    public int getSort(){
        return this.Sort;
    }
    public void setCreateTime(int CreateTime){
        this.CreateTime = CreateTime;
    }
    public int getCreateTime(){
        return this.CreateTime;
    }
    public void setUpdateTime(int UpdateTime){
        this.UpdateTime = UpdateTime;
    }
    public int getUpdateTime(){
        return this.UpdateTime;
    }

    public GameListType toGameListType() {
        GameListType gameListType = new GameListType();
        gameListType.setTag_id(Id);
        gameListType.setTitle(Name);
        return gameListType;
    }
}
